ScoreOrderFragmentsBuilder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.vectorhighlight.ScoreOrderFragmentsBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class ScoreOrderFragmentsBuilder

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder
          org.apache.lucene.search.vectorhighlight.ScoreOrderFragmentsBuilder

All Implemented Interfaces:
  FragmentsBuilder

    public class ScoreOrderFragmentsBuilder

extends BaseFragmentsBuilder

An implementation of FragmentsBuilder that outputs score-order fragments.

Nested Class Summary
`static class` | `ScoreOrderFragmentsBuilder.ScoreComparator`

Field Summary

Fields inherited from class org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder
`COLORED_POST_TAGS, COLORED_PRE_TAGS, postTags, preTags`

Constructor Summary
`ScoreOrderFragmentsBuilder()` a constructor.
`ScoreOrderFragmentsBuilder(BoundaryScanner bs)`
`ScoreOrderFragmentsBuilder(String[] preTags, String[] postTags)` a constructor.
`ScoreOrderFragmentsBuilder(String[] preTags, String[] postTags, BoundaryScanner bs)`

Method Summary
`List<FieldFragList.WeightedFragInfo>` | `getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)` Sort by score the list of WeightedFragInfo

Methods inherited from class org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder
`createFragment, createFragment, createFragments, createFragments, getFields, getFieldValues, getFragmentSource, getFragmentSource, getFragmentSourceMSO, getMultiValuedSeparator, getPostTag, getPostTag, getPreTag, getPreTag, makeFragment, makeFragment, setMultiValuedSeparator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScoreOrderFragmentsBuilder

    public ScoreOrderFragmentsBuilder()

  a constructor.

### ScoreOrderFragmentsBuilder

    public ScoreOrderFragmentsBuilder(String[] preTags,
                                      String[] postTags)

  a constructor.

  Parameters:
    `preTags` - array of pre-tags for markup terms.
    `postTags` - array of post-tags for markup terms.

### ScoreOrderFragmentsBuilder

    public ScoreOrderFragmentsBuilder(BoundaryScanner bs)

### ScoreOrderFragmentsBuilder

    public ScoreOrderFragmentsBuilder(String[] preTags,
                                      String[] postTags,
                                      BoundaryScanner bs)

Method Detail

### getWeightedFragInfoList

    public List<FieldFragList.WeightedFragInfo> getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)

  Sort by score the list of WeightedFragInfo

  Specified by:
    `getWeightedFragInfoList` in class `BaseFragmentsBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD